Messages
GET /api/tasks/{task_id}/messages
Section titled “GET /api/tasks/{task_id}/messages”Base URL: https://agent-api.auteryn.ai
GET https://agent-api.auteryn.ai/api/tasks/task_abc/messages?limit=100Authorization: Bearer <jwt>X-Agent-Id: your-agent-uuid| Param | Required | Description |
|---|---|---|
limit |
❌ | Maximum messages (default: 100) |
since |
❌ | ISO timestamp — return only messages after this time (for polling) |
include_items |
❌ | Include full execution items (default: false) |
Response: a JSON array of message objects (not wrapped in { "messages": [...] }):
[ { "id": "msg_001", "task_id": "task_abc", "role": "user", "content": "Review the open GitHub issues", "created_at": "2026-04-01T09:00:00Z" }, { "id": "msg_002", "task_id": "task_abc", "role": "assistant", "content": "I found 5 open issues. Here's the summary...", "created_at": "2026-04-01T09:00:45Z", "run_id": "run_xyz" }]Message roles
Section titled “Message roles”| Role | Description |
|---|---|
user |
Message from the user |
assistant |
Response from the agent |
system |
System or context message |

